

%define	url_ver %(echo %{version}|cut -d. -f1,2)

%define __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}%{_libdir}/caja/extensions-2.0/.*\\.so
%define __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}%{_libdir}/caja-sendto/plugins/.*\\.so

Name:       caja-extensions
Summary:    Set of extensions for caja file manager
Version:    1.26.1
Release:    %mkrel 3
Group:      Graphical desktop/MATE
License:    GPLv2+
URL:        http://mate-desktop.org
Source0:    http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:    caja-share-setup-instructions
Source2:    caja-share-smb.conf.example

BuildRequires: mate-common
BuildRequires: pkgconfig(libcaja-extension)
BuildRequires: pkgconfig(mate-desktop-2.0)
BuildRequires: pkgconfig(dbus-glib-1) >= 0.60
BuildRequires: pkgconfig(glib-2.0) >= 2.36.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(gthread-2.0) >= 2.6.0
BuildRequires: pkgconfig(gmodule-2.0) >= 2.36.0
BuildRequires: pkgconfig(gobject-2.0) >= 2.36.0
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: lib64gupnp-devel
BuildRequires: autoconf-archive

Obsoletes: mate-file-manager-extensions
Provides: mate-file-manager-extensions = %{version}-%{release}

Obsoletes: caja-gksu
Requires:  caja-admin

%description
Extensions for the caja file-browser, open-terminal,
image-converter, sendto and share

%package -n caja-image-converter
Summary:    Caja extension to mass resize images
Group:      Graphical desktop/MATE
Requires:   %{name} = %{version}-%{release}
Requires:   imagemagick
Requires:   caja

%description -n caja-image-converter
Adds a "Resize Images..." menu item to the context menu of all images. This
opens a dialog where you set the desired image size and file name. A click
on "Resize" finally resizes the image(s) using ImageMagick's convert tool.

%package -n caja-open-terminal
Summary:    Caja extension for an open terminal shortcut
Group:      Graphical desktop/MATE
Requires:   %{name} = %{version}-%{release}
Requires:   caja

%description -n caja-open-terminal
This is a proof-of-concept Caja extension which allows you to open
a terminal in arbitrary local folders.

%package -n caja-sendto
Summary: Send files from caja using with mail or IM
Group: 	Graphical desktop/MATE
Requires:   %{name} = %{version}-%{release}
Requires:   caja

%description -n caja-sendto
This application provides integration between caja and mail or IM clients.
It adds a Caja context menu component ("Send To...") and features
a dialog for insert the email or IM account which you want to send
the file/files.

%package -n caja-sendto-pidgin
Summary:    Send files from caja to pidgin
Group:      Graphical desktop/MATE
Requires:   pidgin
Requires:   %{name} = %{version}
Requires:   caja-sendto = %{version}-%{release}
Provides:   %{name}-sendto-gaim = %{version}-%{release}
Requires:   caja

%description -n caja-sendto-pidgin
This application provides integration between caja and pidgin. It
adds a Caja context menu component ("Send To...") and features a
dialog for insert the IM account which you want to send the file/files.

%package -n caja-sendto-upnp
Summary:    Send files from nautilus via UPNP
Group:      Graphical desktop/MATE
Requires:   %{name} = %{version}
Requires:   caja-sendto = %{version}-%{release}
Requires:   caja

%description -n caja-sendto-upnp
This application provides integration between caja and UPNP.
It adds a Caja context menu component ("Send To...") and allows sending
files to UPNP media servers.

%package -n caja-sendto-devel
Summary:    Development libraries and headers for caja-sendto
Group: 	    Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   caja-sendto = %{version}-%{release}
Requires:   caja

Obsoletes: mate-file-manager-extensions-devel
Provides: mate-file-manager-extensions-devel = %{version}-%{release}

%description -n caja-sendto-devel
Development libraries and headers for caja-sendto

%package -n caja-share
Summary:    Easy sharing folder via Samba (CIFS protocol)
Group: 	    Graphical desktop/MATE
Requires:   %{name} = %{version}-%{release}
Requires:   caja
Requires:   samba-server
Requires:   gvfs

%description -n caja-share
Caja extension designed for easier folders
sharing via Samba (CIFS protocol) in *NIX systems.

%package -n caja-wallpaper
Summary:    Caja extension to set wallpapers
Group:      Graphical desktop/MATE
Requires:   %{name} = %{version}-%{release}
Requires:   caja

%description -n caja-wallpaper
Caja extension to set wallpaper on the fly

%package -n caja-xattr-tags
Summary:    MATE file manager xattr-tags
Group:      Graphical desktop/MATE
Requires:   %{name} = %{version}-%{release}
Requires:   caja

%description -n caja-xattr-tags
Caja xattr-tags extension, allows to quickly set xattr-tags.

%prep
%setup -q

cp %{_sourcedir}/caja-share-setup-instructions SETUP

%build
autoreconf -vfi
%configure2_5x \
	--disable-schemas-compile \
	--enable-image-converter	\
	--enable-open-terminal	\
	--enable-sendto	\
	--enable-share	\
	--enable-gksu=no	\
	--enable-wallpaper	\
	--with-sendto-plugins=all	\
	--enable-gtk-doc-html	\
	--disable-static

	
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool

%make_build

%install
%make_install

find %{buildroot} -name *.la -delete

mkdir -p %{buildroot}/%{_sysconfdir}/samba/
install -m644 %{_sourcedir}/caja-share-smb.conf.example %{buildroot}/%{_sysconfdir}/samba/

# remove needless MateConf stuff
rm -fr	%{buildroot}%{_datadir}/MateConf

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%dir %{_datadir}/caja-extensions/

%files -n caja-image-converter
%{_libdir}/caja/extensions-2.0/libcaja-image-converter.so
%{_datadir}/caja/extensions/libcaja-image-converter.caja-extension

%files -n caja-open-terminal
%{_libdir}/caja/extensions-2.0/libcaja-open-terminal.so
%{_datadir}/glib-2.0/schemas/org.mate.caja-open-terminal.gschema.xml
%{_datadir}/caja/extensions/libcaja-open-terminal.caja-extension

%files -n caja-sendto
%{_bindir}/caja-sendto
%dir %{_libdir}/caja-sendto/
%dir %{_libdir}/caja-sendto/plugins/
%{_libdir}/caja-sendto/plugins/libnstburn.so
%{_libdir}/caja-sendto/plugins/libnstemailclient.so
%{_libdir}/caja-sendto/plugins/libnstremovable_devices.so
%{_libdir}/caja-sendto/plugins/libnstgajim.so
%{_libdir}/caja/extensions-2.0/libcaja-sendto.so
%{_datadir}/glib-2.0/schemas/org.mate.Caja.Sendto.gschema.xml
%{_datadir}/caja/extensions/libcaja-sendto.caja-extension
%{_mandir}/man1/caja-sendto.1.*

%files -n caja-sendto-pidgin
%{_libdir}/caja-sendto/plugins/libnstpidgin.so

%files -n caja-sendto-upnp
%{_libdir}/caja-sendto/plugins/libnstupnp.so

%files -n caja-sendto-devel
%doc %{_datadir}/gtk-doc/html/caja-sendto/
%dir %{_includedir}/caja-sendto/
%{_includedir}/caja-sendto/caja-sendto-plugin.h
%{_libdir}/pkgconfig/caja-sendto.pc

%files -n caja-share
%{_sysconfdir}/samba/caja-share-smb.conf.example
%{_libdir}/caja/extensions-2.0/libcaja-share.so
%{_datadir}/caja-extensions/share-dialog.ui
%{_datadir}/caja/extensions/libcaja-share.caja-extension


%files -n caja-wallpaper
%{_libdir}/caja/extensions-2.0/libcaja-wallpaper.so
%{_datadir}/caja/extensions/libcaja-wallpaper.caja-extension

%files -n caja-xattr-tags
%{_libdir}/caja/extensions-2.0/libcaja-xattr-tags.so
%{_datadir}/caja/extensions/libcaja-xattr-tags.caja-extension


%changelog
* Sun Apr 07 2024 tex - 1.25.1-3pclos2024
- obsolete caja-gksu
- requires caja-admin

* Sun Mar 10 2024 Ken - 1.26.1-2pclos2024
- Remove caja-gksu for caja-admin

